<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/**
	* - JINZORA | Web-based Media Streamer -  
	* 
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL.
	* 
	* - Resources -
	* - Jinzora Author: Ross Carlson <ross@jasbone.com>
	* - Web: http://www.jinzora.org
	* - Documentation: http://www.jinzora.org/docs	
	* - Support: http://www.jinzora.org/forum
	* - Downloads: http://www.jinzora.org/downloads
	* - License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* - Contributors -
	* Please see http://www.jinzora.org/team.html
	* 
	* - Code Purpose -
	* Blocks for the SlickNG interface
	*
	* @since 11/30/05
	* @author Ross Carlson <ross@jinzora.org>
	*/
	
	class jzBlocks extends jzBlockClass {
	  
		/**
		* Constructor for the class.
		* 
		* @author Ross Carlson
		* @version 11/30/05
		* @since 11/30/05
		*/
		function jzBlocks() {
		
		}
		
		/**
		* Displays the now streaming block
		* 
		* @author Ross Carlson
		* @version 2/25/05
		* @since 2/25/05
		*/
		function nowStreaming(){
			global $status_blocks_refresh;
			
			$display = new jzDisplay();
			
			// Let's setup the link for the ifram
			$url = array();
			$url['action'] = "nowstreaming";
			
			?>
			<div id="nowstreaming"></div>
			<script>
				function callNowStream() {
					x_returnNowStreaming(callNowStream_cb);
				}			
				function callNowStream_cb(a) { // callback function for callme. ajax_it_up's output is put in 'a'.
					document.getElementById("nowstreaming").innerHTML = a;
				}			
				// Now let's update the block
				nsCountDown();			
				// Now let's updated it every X seconds						
				function nsCountDown(tLen, clock){
					callNowStream();
					setTimeout("nsCountDown()", <?php echo ($status_blocks_refresh * 1000); ?>);
				}			
			</script>
			<?php
		}
		
		function userTracking(){
			global $jzUSER, $img_tiny_play, $advanced_tooltips, $user_tracking_age, $img_tiny_play_dis, $img_tiny_play_dis, $status_blocks_refresh;
			
			$display = new jzDisplay();
			
			// Let's setup the link for the ifram
			$url = array();
			$url['action'] = "nowstreaming";
			
			?>
			<div id="whoiswhere"></div>
			<script>
				function callWhoisWhere() {
					x_returnWhoisWhere(callWhoisWhere_cb)
				}
				function callWhoisWhere_cb(a) { // callback function for callme. ajax_it_up's output is put in 'a'.
					document.getElementById("whoiswhere").innerHTML = a;
				}
				// Now let's update the block
				nsCountDown_wiw();
				// Now let's updated it every X seconds						
				function nsCountDown_wiw(tLen, clock){
					callWhoisWhere();
					setTimeout("nsCountDown_wiw()", <?php echo ($status_blocks_refresh * 1000); ?>);
				}
			</script>
			<?php		
		}
		
		function searchBlock(){
			?>
			<form action="<?php echo $this_page  ?>" method="POST" name="searchForm">
					<input type="text" name="search_query" class="jz_input" style="width:125px; font-size:10px ">
					<select class="jz_select" name="search_type" style="width:85px">
						<option value="ALL"><?php echo word("All Media"); ?></option>
						<?php
							if (distanceTo("artist") !== false){
								echo '<option value="artists">'. word("Artists"). '</option>'. "\n";
							}
							if (distanceTo("album") !== false) {
								echo '<option value="albums">' . word("Albums"). '</option>'. "\n";
							}
						?>
						<option value="tracks"><?php echo word("Tracks"); ?></option>
						<option value="lyrics"><?php echo word("Lyrics"); ?></option>
					</select>
					<input type="hidden" name="doSearch" value="true">
					<input type="submit" class="jz_submit" value="Go">
			</form>
			<?php
		}
		
		function playlists(){
			global $jzUSER;
			
			$display = new jzDisplay();
			
			$arr = array();
			$arr['jz_path'] = $_GET['jz_path'];
			$link = urlize($arr);
			?>
			<form action="<?php echo $link; ?>" method="POST" name="playlistForm">
			<?php $display->hiddenVariableField('action','playlistAction'); ?>
			<?php $display->hiddenVariableField('path',$_GET['jz_path']); ?>
			<?php $display->playlistSelect("125",false,"all"); ?>
			<nobr>
			<div id="slickNGLeftNavSpacer"></div>
			<input type="hidden" name="playlistname" value="">
			<?php
			$display->playListButton();
			echo '&nbsp;';
			$display->randomListButton();
			
			if ($jzUSER->getSetting('download')) { 
				$display->downloadListButton();
				echo '&nbsp;';
			}
			$display->createListButton();
			echo '&nbsp;';
			$display->popupLink('plmanager');
		}
		
		
		function browsing(){
			$display = new jzDisplay();
			
			// Let's let the user browse if they want
			$display->displayBrowseDropdown();
			$display->displayPrevDropdown($node, "artist");
			$display->displayPrevDropdown($node, "album");
		} 
		
		function usertools(){
			global $jzUSER;
			
			$display = new jzDisplay();
			
			$display->homeButton();                                       
			// if ($show_slimzora == "true" && $jzUSER->getSetting('view') !== false) {
			echo "&nbsp;";
			$display->popupLink('slimzora'); // when you want it Ross.
			echo "&nbsp;";
			$display->popupLink('docs');
			echo "&nbsp;";
			$display->popupLink('admintools');
			
			echo "<br><strong>";
			echo word("Logged in as"); 
			echo $jzUSER->getName(); 
			echo "</strong>";
		}	
	}
?>


























