<?php
	/**
	 * - JINZORA | Web-based Media Streamer -  
	 * 
	 * Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	 * (but can be used for any media file that can stream from HTTP). 
	 * Jinzora can be integrated into a CMS site, run as a standalone application, 
	 * or integrated into any PHP website.  It is released under the GNU GPL.
	 * 
	 * - Resources -
	 * - Jinzora Author: Ross Carlson <ross@jasbone.com>
	 * - Web: http://www.jinzora.org
	 * - Documentation: http://www.jinzora.org/docs	
	 * - Support: http://www.jinzora.org/forum
	 * - Downloads: http://www.jinzora.org/downloads
	 * - License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	 * 
	 * - Contributors -
	 * Please see http://www.jinzora.org/team.html
	 * 
	 * - Code Purpose -
	 * - Displays the slim Jukezora
	 *
	 * @since 02.17.04 
	 * @author Ross Carlson <ross@jinzora.org>
	 * @author Ben Dodson <ben@jinzora.org>
	 */
	// Now let's see if they wanted to include the page
	if (isset($_GET['frame'])){
		if ($_GET['frame'] == "top"){
			$frame = "top";
			define("JZ_FRONTEND_OVERRIDE","jukezora");
			usleep(1000);
			require_once('index.php');
			exit();
		}
		if ($_GET['frame'] == "body"){
			$frame = "body";
			define("JZ_FRONTEND_OVERRIDE","slimzora");
			require_once('index.php');
			exit();
		}
	} else {
		// Ok, we need to setup our frames
		include_once('settings.php');
		echo '<frameset rows="175,*" frameborder="NO" border="0" framespacing="0">'.
			  '<frame src="'. $root_dir. '/jukezora.php?frame=top" name="topFrame" scrolling="NO" noresize >'.
			  '<frame src="'. $root_dir. '/jukezora.php?frame=body" name="mainFrame">'.
			'</frameset><noframes></noframes>';
	}
?>

