<?php if (!defined(JZ_SECURE_ACCESS)) die ('Security breach detected.');
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *    
	* JINZORA | Web-based Media Streamer  
	*
	* Jinzora is a Web-based media streamer, primarily desgined to stream MP3s 
	* (but can be used for any media file that can stream from HTTP). 
	* Jinzora can be integrated into a CMS site, run as a standalone application, 
	* or integrated into any PHP website.  It is released under the GNU GPL. 
	* 
	* Jinzora Author:
	* Ross Carlson: ross@jasbone.com 
	* http://www.jinzora.org
	* Documentation: http://www.jinzora.org/docs	
	* Support: http://www.jinzora.org/forum
	* Downloads: http://www.jinzora.org/downloads
	* License: GNU GPL <http://www.gnu.org/copyleft/gpl.html>
	* 
	* Contributors:
	* Please see http://www.jinzora.org/modules.php?op=modload&name=jz_whois&file=index
	*
	* Code Purpose: This page contains all the album related related functions
	* Created: 9.24.03 by Ross Carlson
	*
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

 	// This function displays all the Genres or Artists 
	function drawPage(&$node){
		global $album_name_truncate, $row_colors, $img_play, $img_random_play,
			   $num_other_albums, $enable_ratings, $short_date, $jzUSER, $img_play_dis, $img_random_play_dis,
			   $show_similar, $show_radio, $show_album_art;					
							
		// Let's setup the objects
		$display = &new jzDisplay();
		$blocks = &new jzBlocks();
		$fe = &new jzFrontend();
		$root = new jzMediaNode();
		
		// Now let's get the things we'll need
		$artist = $node->getAncestor("artist");
		$genre = $node->getAncestor("genre");
		if ($artist === false) {
		  $artist = new jzMediaNode();
		}
		if ($genre === false) {
		  $genre = new jzMediaNode();
		}

		?>
		<table width="100%" align="center" border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td width="100%">
					<table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
						<tr>
							<td width="20%">&nbsp;</td>
							<td width="60%">
								<?php
									// Let's display the breadcrumbs
									$display->link($root,word("JINZORA HOME"));
									echo " &nbsp;&nbsp; > &nbsp;&nbsp; ";
									$display->link($genre,$genre->getName());
									echo " &nbsp;&nbsp; > &nbsp;&nbsp; ";
									$display->link($artist,$artist->getName());
									echo " &nbsp;&nbsp; > &nbsp;&nbsp; ";
									echo $node->getName();
								?>
							</td>
							<td width="20%">&nbsp;</td>
						</tr>
					</table>
					<table width="100%" align="center" border="0" cellpadding="5" cellspacing="3">
						<tr>
							<td width="20%">&nbsp;</td>
							<td width="50%" valign="top">
								<table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
									<tr>
										<td width="100%" style="background-color: #B4CCEB">
											<?php
												// Now let's display the art and stuff for this album
												if (($art = $node->getMainArt("150x150")) <> false){
													if ($jzUSER->getSetting('stream')) {
														$display->playLink($node,$display->returnImage($art,$node->getName(),150,150,"fit",false,false,"left","10","10"));
													} else {
														$display->Image($art,$node->getName(),$artSize,$artSize,"fit",false,false,$align,"5","5");
													}
												}
												
												// Now let's display the other data
												echo '<br><font size="3"><strong>'. $node->getName(). '</strong></font>';
												echo "<br>";
												$display->link($artist,$artist->getName());
												if ($node->getDateAdded() <> "0"){
													echo "<br>". date($short_date,$node->getDateAdded());
													echo "<br>";
												}
												echo "<br>";
												echo "Rate this album:";
												echo "<br>";
												echo '<br><a href="http://shopping.msn.com/prodlink.aspx?ptnrid=26&ptnrdata=0&merchid=2412&t=1&URL=http%3a%2f%2fwww.amazon.com%2fexec%2fobidos%2fexternal-search%3ftag%3dmsn-musicfo%26keyword%3d'. urlencode($artist->getName()). '+'. urlencode($node->getName()). '%26mode%3dmusic&AltType=AMGID&AltValue=R+++417307&album=10372228" target="_blank">Shop for CD</a>';
											?>
										</td>
									</tr>
								</table>
								<table width="100%" align="center" border="0" cellpadding="5" cellspacing="0">
									<tr>
										<td width="1%" nowrap>
											SONGS
											&nbsp;
										</td>
										<td width="1%" nowrap>
											&nbsp;
											REVIEW
											&nbsp;
										</td>
										<td width="1%" nowrap>
											&nbsp;
											VIDEOS
											&nbsp;
										</td>
										<td width="1%" nowrap>
											&nbsp;
											USER REVIEWS
											&nbsp;
										</td>
										<td width="1%" nowrap>
											&nbsp;
											WRITE REVIEW
											&nbsp;
										</td>
										<td width="95%" nowrap>&nbsp;
											
										</td>
									</tr>
								</table>	
								<?php
									// Now let's get all the tracks
									$tracks = $node->getSubNodes("tracks");
									$blocks->trackTable($tracks);
								?>
							</td>
							<td width="10%" valign="top">
								<?php
									$blocks->similarArtistBlock($artist, true, 20);
								?>
							</td>
							<td width="20%">&nbsp;</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<?php
	}
?>
